<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
MultipleKeyDatabaseEntry Constructor (array<Byte>[]()[], Boolean)
MultipleKeyDatabaseEntry Class See Also Send Feedback

Construct a new bulk buffer for key/data pairs with a formatted byte array.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#

    public MultipleKeyDatabaseEntry(
    	byte[] data,
    	bool recno
    )

Visual Basic (Declaration)

    Public Sub New ( _
    	data As Byte(), _
    	recno As Boolean _
    )

Visual C++

    public:
    MultipleKeyDatabaseEntry(
    	array<unsigned char>^ data,
    	bool recno
    )

#### Parameters

data
  Type: array< System..::.Byte >[]()[]
  The formatted byte array

recno
  Type: System..::.Boolean
  Whether the bulk is for recno/queue database.

# See Also

MultipleKeyDatabaseEntry Class
MultipleKeyDatabaseEntry Overload
BerkeleyDB Namespace